Subject: Re: Questions on TransactionReply

From: Brian Rosen <[email-masked]>
Date: Fri, 29 Oct 1999 10:04:38 -0400

> 1. Say, there are 3 commands in an action. Commands 1 and 2 are valid
> (parsed
> correctly) but command 3 is not valid (not parsed correctly). What
> should one do?
> Process the first two commands and send an error descriptor
> for the 3rd
> command OR don't process any command and send one error
> descriptor. What
> is the correct behaviour?
If can parse the first two, do so, execute them, return an error for the
third.

> 2. The last paragraph says "If the receiver encounters an error such
> that it cannot determine a legal transaction, it will return a
> TransactionReply with a null TransactionID and a single error
> descriptor." What is the purpose of the error descriptor if you don't
> know the transactionID? How does one use such an error descriptor?

You know when you send a Transaction Request.  You expect to get some kind
of reply.  While a reply with a null TransactionID is not as nice as one
with a transactionID, you can probably still figure out what you need to do.
Any reply is better than no reply.

Brian

---

From: Abdallah Rayhan <[email-masked]>
Date: Fri, 29 Oct 1999 11:32:29 -0400

> Any reply is better than no reply.

A transaction reply should have the same TransactionID as the request even
in case of error. Transactions are not supposed to be processed in order or
replied in order. If you have 10 transactions and have 5 replies with null
transactionIDs,
do you want to waste your logic to match things up.

Why should we complicate the programming logic if we can  simplify things at
the semantics level.

Abdallah Rayhan